This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1099423 - https://gcc.gnu.org unaccessible since #881411
https://gcc.gnu.org unaccessible since #881411
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nss_compat_ossl (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-20 05:35 EDT by Jakub Jelinek
Modified: 2015-06-29 21:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: nss_compat_ossl-0.9.6-9.fc20, nss_compat_ossl-0.9.6-9.fc21, nss_compat_ossl-0.9.6-9.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:28:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
[PATCH] Resolves: #1099423 - do not enable SSLv2 any more (2.64 KB, patch)
2014-05-21 08:50 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Jakub Jelinek 2014-05-20 05:35:32 EDT
Description of problem:
In f20 I'm getting
Unable to retrieve https://gcc.gnu.org:
SSL Error
while in f17 it is ok, so is firefox or wget on f20.

Version-Release number of selected component (if applicable):
elinks-0.12-0.37.pre6.fc20.x86_64

How reproducible:
links https://gcc.gnu.org

I've manually commented out
#%patch14 -p1
line and after elinks rebuild it works.
As it works with firefox/wget and also
https://www.ssllabs.com/ssltest/analyze.html?d=gcc.gnu.org
doesn't complain on it, I'd expect there is a problem with the #881411 patch rather than on gcc.gnu.org side.
Comment 1 Kamil Dudka 2014-05-20 11:34:42 EDT
The server seems to depend on a TLS extension that is not available with ELinks:

$ curl -v --sslv3 https://gcc.gnu.org
* Rebuilt URL to: https://gcc.gnu.org/
* Adding handle: conn: 0x18cf860
* Adding handle: send: 0
* Adding handle: recv: 0
* Curl_addHandleToPipeline: length: 1
* - Conn 0 (0x18cf860) send_pipe: 1, recv_pipe: 0
* About to connect() to gcc.gnu.org port 443 (#0)
*   Trying 209.132.180.131...
* Connected to gcc.gnu.org (209.132.180.131) port 443 (#0)
* Initializing NSS with certpath: sql:/etc/pki/nssdb
*   CAfile: /etc/pki/tls/certs/ca-bundle.crt
  CApath: none
* Server certificate:
*       subject: CN=cygwin.com,O=Red Hat Inc.,L=Raleigh,ST=North Carolina,C=US
*       start date: May 16 00:00:00 2014 GMT
*       expire date: May 20 12:00:00 2016 GMT
*       common name: cygwin.com
*       issuer: CN=DigiCert SHA2 High Assurance Server CA,OU=www.digicert.com,O=DigiCert Inc,C=US
* NSS error -12276 (SSL_ERROR_BAD_CERT_DOMAIN)
* Unable to communicate securely with peer: requested domain name does not match the server's certificate.
* Closing connection 0
curl: (51) Unable to communicate securely with peer: requested domain name does not match the server's certificate.
Comment 2 Kamil Dudka 2014-05-21 08:49:14 EDT
This is a problem with nss_compat_ossl.  It enables SSLv2, which is no longer supported by NSS.  I will attach a patch to fix it.
Comment 3 Kamil Dudka 2014-05-21 08:50:00 EDT
Created attachment 897966 [details]
[PATCH] Resolves: #1099423 - do not enable SSLv2 any more
Comment 5 Kamil Dudka 2014-12-09 07:27:53 EST
ping?
Comment 7 Kamil Dudka 2014-12-09 07:42:39 EST
Yes, attachment #897966 [details] needs to be applied.
Comment 8 Fedora Update System 2014-12-12 20:33:51 EST
nss_compat_ossl-0.9.6-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nss_compat_ossl-0.9.6-9.fc20
Comment 9 Fedora Update System 2014-12-12 20:45:50 EST
nss_compat_ossl-0.9.6-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nss_compat_ossl-0.9.6-9.fc21
Comment 10 Fedora Update System 2015-01-21 18:08:11 EST
nss_compat_ossl-0.9.6-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-01-21 18:08:43 EST
nss_compat_ossl-0.9.6-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2015-05-29 07:54:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 21:28:46 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.